﻿using System.Collections.Generic;

namespace TestePivot
{
    public partial class MainPage
    {
        public MainPage()
        {
            InitializeComponent();

            var cube = CreateCube();
            var data = GetData();
            pv.DataSource = new FlatPivot(cube, data);
        }

        private Cube CreateCube()
        {
            var cube = new Cube();
            cube.Measures.Add(new Measure { Description = "Quantidade", PropertyName = "QUANTIDADE" });
            cube.Measures.Add(new Measure { Description = "Total Financeiro", PropertyName = "TOTALFINANCEIRO" });

            cube.Dimensions.Add(new Dimension { PropertyName = "Tempo" });
            cube.Dimensions.Add(new Dimension { PropertyName = "Cliente" });

            return cube;
        }

        private IEnumerable<Register> GetData()
        {
            var l = new List<Register>();
            var t1 = new Register();
            t1.Measures.Add("QUANTIDADE", 10000);
            t1.Measures.Add("TOTALFINANCEIRO", 20000);
            t1.Coordenadas.Add(new Coordenate(t1) { DescricaoNivel = "Total", Description = "Total", Path = "Total", Id = "Total" });
            t1.Coordenadas.Add(new Coordenate(t1) { DescricaoNivel = "Total", Description = "Total", Path = "Total", Id = "Total" });
            l.Add(t1);
            return l;
        }
    }
}